﻿<UserControl x:Class="HeliothermRefCycle.Views.CoolingCircuitPanelView"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             xmlns:local="clr-namespace:HeliothermRefCycle.Views"
             mc:Ignorable="d" 
             d:DesignHeight="450" d:DesignWidth="800">
    <Canvas>
        <Canvas.Resources>
            <local:NullVisibilityConverter x:Key="NullToVisibilityConverter"></local:NullVisibilityConverter>
            <Style x:Key="DotLabelStyle" TargetType="Grid">
                <Setter Property="Canvas.Left" Value="10"></Setter>
                <Setter Property="Canvas.Top" Value="-25"></Setter>
            </Style>
            <Style TargetType="Label">
                <Setter Property="FontSize" Value="16"></Setter>
            </Style>
            <Style x:Key="DotStyle" TargetType="Ellipse">
                <Setter Property="Fill" Value="Yellow"></Setter>
                <Setter Property="Width" Value="15"></Setter>
                <Setter Property="Height" Value="15"></Setter>
                <Setter Property="StrokeThickness" Value="2"></Setter>
                <Setter Property="Stroke" Value="Black"></Setter>
                <Setter Property="Canvas.Left" Value="0"></Setter>
                <Setter Property="Canvas.Top" Value="0"></Setter>
            </Style>
        </Canvas.Resources>

        <Path Stroke="Blue" StrokeThickness="4">
            <Path.Data>
                <PathGeometry>
                    <PathGeometry.Figures>
                        <PathFigure StartPoint="400,80" IsClosed="False">
                            <PolyLineSegment Points="100,80"></PolyLineSegment>
                            <ArcSegment Size="20,20" Point="100,140"></ArcSegment>
                            <PolyLineSegment Points="180,140"></PolyLineSegment>
                            <ArcSegment SweepDirection="Clockwise" Size="20,20" Point="180,200"></ArcSegment>
                            <PolyLineSegment Points="100,200"></PolyLineSegment>
                            <ArcSegment Size="20,20" Point="100,260"></ArcSegment>
                            <PolyLineSegment Points="180,260"></PolyLineSegment>
                            <ArcSegment SweepDirection="Clockwise" Size="20,20" Point="180,320"></ArcSegment>
                            <PolyLineSegment Points="100,320"></PolyLineSegment>
                            <ArcSegment Size="20,20" Point="100,380"></ArcSegment>
                            <PolyLineSegment Points="420,380"></PolyLineSegment>
                            <PolyLineSegment Points="420,360"></PolyLineSegment>
                        </PathFigure>
                    </PathGeometry.Figures>
                </PathGeometry>
            </Path.Data>
        </Path>
        <Path Stroke="Red" StrokeThickness="4">
            <Path.Data>
                <PathGeometry>
                    <PathGeometry.Figures>
                        <PathFigure StartPoint="420,280" IsClosed="False">
                            <PolyLineSegment Points="420,260"></PolyLineSegment>
                            <PolyLineSegment Points="550,260"></PolyLineSegment>
                        </PathFigure>
                        <PathFigure StartPoint="460,80" IsClosed="False">
                            <PolyLineSegment Points="480,80"></PolyLineSegment>
                            <PolyLineSegment Points="480,120"></PolyLineSegment>
                            <PolyLineSegment Points="550,120"></PolyLineSegment>
                        </PathFigure>
                        <PathFigure StartPoint="630,120" IsClosed="False">
                            <PolyLineSegment Points="750,120"></PolyLineSegment>
                        </PathFigure>
                        <PathFigure StartPoint="630,260" IsClosed="False">
                            <PolyLineSegment Points="750,260"></PolyLineSegment>
                        </PathFigure>
                    </PathGeometry.Figures>
                </PathGeometry>
            </Path.Data>
        </Path>
        <Path Stroke="Black" StrokeThickness="3">
            <Path.Data>
                <PathGeometry>
                    <PathGeometry.Figures>
                        <PathFigure StartPoint="550,100" IsClosed="False">
                            <PolyLineSegment Points="550,280"></PolyLineSegment>
                            <ArcSegment Point="560,290" Size="10,10"></ArcSegment>
                            <PolyLineSegment Points="620,290"></PolyLineSegment>
                            <ArcSegment Point="630,280" Size="10,10"></ArcSegment>
                            <PolyLineSegment Points="630,100"></PolyLineSegment>
                            <ArcSegment Point="620,90" Size="10,10"></ArcSegment>
                            <PolyLineSegment Points="560,90"></PolyLineSegment>
                            <ArcSegment Point="550,100" Size="10,10"></ArcSegment>
                        </PathFigure>
                        <PathFigure StartPoint="565,100" IsClosed="False">
                            <ArcSegment Point="565,110" Size="5,5"></ArcSegment>
                            <ArcSegment Point="565,100" Size="5,5"></ArcSegment>
                        </PathFigure>
                        <PathFigure StartPoint="615,100" IsClosed="False">
                            <ArcSegment Point="615,110" Size="5,5"></ArcSegment>
                            <ArcSegment Point="615,100" Size="5,5"></ArcSegment>
                        </PathFigure>
                        <PathFigure StartPoint="565,270" IsClosed="False">
                            <ArcSegment Point="565,280" Size="5,5"></ArcSegment>
                            <ArcSegment Point="565,270" Size="5,5"></ArcSegment>
                        </PathFigure>
                        <PathFigure StartPoint="615,270" IsClosed="False">
                            <ArcSegment Point="615,280" Size="5,5"></ArcSegment>
                            <ArcSegment Point="615,270" Size="5,5"></ArcSegment>
                        </PathFigure>
                    </PathGeometry.Figures>
                </PathGeometry>
            </Path.Data>
        </Path>
        <Polygon Stroke="Black" Points="400,55 400,105 460,65 460,95" StrokeThickness="4"></Polygon>
        <Path Stroke="Black" StrokeThickness="4">
            <Path.Data>
                <PathGeometry>
                    <PathGeometry.Figures>
                        <PathFigure StartPoint="420,360" IsClosed="False">
                            <ArcSegment Point="420,280" Size="40,40"></ArcSegment>
                            <ArcSegment Point="420,360" Size="40,40"></ArcSegment>
                        </PathFigure>
                        <PathFigure StartPoint="395,349" IsClosed="False">
                            <PolyLineSegment Points="412,281"></PolyLineSegment>
                        </PathFigure>
                        <PathFigure StartPoint="445,349" IsClosed="False">
                            <PolyLineSegment Points="428,281"></PolyLineSegment>
                        </PathFigure>
                    </PathGeometry.Figures>
                </PathGeometry>
            </Path.Data>
        </Path>

        <Canvas Canvas.Left="680" Canvas.Top="112" Visibility="{Binding Sensors[0].SensorProp, Converter={StaticResource NullToVisibilityConverter}}">
            <Grid Style="{StaticResource DotLabelStyle}"><StackPanel Orientation="Horizontal"><Label Padding="0" Content="{Binding Sensors[0].SensorProp.CurrentVal}"></Label><Label Padding="5,0,0,0">°C</Label></StackPanel></Grid>
            <Ellipse Style="{StaticResource DotStyle}"></Ellipse>
        </Canvas>
        <Canvas Canvas.Left="430" Canvas.Top="40" Visibility="{Binding Sensors[1].SensorProp, Converter={StaticResource NullToVisibilityConverter}}">
            <Grid Style="{StaticResource DotLabelStyle}"><StackPanel Orientation="Horizontal"><Label Padding="0" Content="{Binding Sensors[1].SensorProp.CurrentVal}"></Label><Label Padding="5,0,0,0">%</Label></StackPanel></Grid>
            <Ellipse Style="{StaticResource DotStyle}"></Ellipse>
        </Canvas>
        <Canvas Canvas.Left="250" Canvas.Top="72" Visibility="{Binding Sensors[2].SensorProp, Converter={StaticResource NullToVisibilityConverter}}">
            <Grid Style="{StaticResource DotLabelStyle}"><StackPanel Orientation="Horizontal"><Label Padding="0" Content="{Binding Sensors[2].SensorProp.CurrentVal}"></Label><Label Padding="5,0,0,0">°C</Label></StackPanel></Grid>
            <Ellipse Style="{StaticResource DotStyle}"></Ellipse>
        </Canvas>
        <Canvas Canvas.Left="250" Canvas.Top="372" Visibility="{Binding Sensors[3].SensorProp, Converter={StaticResource NullToVisibilityConverter}}">
            <Grid Style="{StaticResource DotLabelStyle}"><StackPanel Orientation="Horizontal"><Label Padding="0" Content="{Binding Sensors[3].SensorProp.CurrentVal}"></Label><Label Padding="5,0,0,0">°C</Label></StackPanel></Grid>
            <Ellipse Style="{StaticResource DotStyle}"></Ellipse>
        </Canvas>
        <Canvas Canvas.Left="480" Canvas.Top="340" Visibility="{Binding Sensors[4].SensorProp, Converter={StaticResource NullToVisibilityConverter}}">
            <Grid Style="{StaticResource DotLabelStyle}"><StackPanel Orientation="Horizontal"><Label Padding="0" Content="{Binding Sensors[4].SensorProp.CurrentVal}"></Label><Label Padding="5,0,0,0"></Label></StackPanel></Grid>
            <Ellipse Style="{StaticResource DotStyle}"></Ellipse>
        </Canvas>
        <Canvas Canvas.Left="480" Canvas.Top="252" Visibility="{Binding Sensors[5].SensorProp, Converter={StaticResource NullToVisibilityConverter}}">
            <Grid Style="{StaticResource DotLabelStyle}"><StackPanel Orientation="Horizontal"><Label Padding="0" Content="{Binding Sensors[5].SensorProp.CurrentVal}"></Label><Label Padding="5,0,0,0">°C</Label></StackPanel></Grid>
            <Ellipse Style="{StaticResource DotStyle}"></Ellipse>
        </Canvas>
        <Canvas Canvas.Left="680" Canvas.Top="252" Visibility="{Binding Sensors[6].SensorProp, Converter={StaticResource NullToVisibilityConverter}}">
            <Grid Style="{StaticResource DotLabelStyle}"><StackPanel Orientation="Horizontal"><Label Padding="0" Content="{Binding Sensors[6].SensorProp.CurrentVal}"></Label><Label Padding="5,0,0,0">°C</Label></StackPanel></Grid>
            <Ellipse Style="{StaticResource DotStyle}"></Ellipse>
        </Canvas>
        <Canvas Canvas.Left="300" Canvas.Top="180" Visibility="{Binding Sensors[7].SensorProp, Converter={StaticResource NullToVisibilityConverter}}">
            <Grid Style="{StaticResource DotLabelStyle}"><StackPanel Orientation="Horizontal"><Label Padding="0" Content="{Binding Sensors[7].SensorProp.CurrentVal}"></Label><Label Padding="5,0,0,0">bar</Label></StackPanel></Grid>
            <Ellipse Style="{StaticResource DotStyle}"></Ellipse>
        </Canvas>
        <Canvas Canvas.Left="460" Canvas.Top="180" Visibility="{Binding Sensors[8].SensorProp, Converter={StaticResource NullToVisibilityConverter}}">
            <Grid Style="{StaticResource DotLabelStyle}"><StackPanel Orientation="Horizontal"><Label Padding="0" Content="{Binding Sensors[8].SensorProp.CurrentVal}"></Label><Label Padding="5,0,0,0">bar</Label></StackPanel></Grid>
            <Ellipse Style="{StaticResource DotStyle}"></Ellipse>
        </Canvas>
        <Canvas Canvas.Left="720" Canvas.Top="50" Visibility="{Binding Sensors[9].SensorProp, Converter={StaticResource NullToVisibilityConverter}}">
            <Grid Style="{StaticResource DotLabelStyle}"><StackPanel Orientation="Horizontal"><Label Padding="0" Content="{Binding Sensors[9].SensorProp.CurrentVal}"></Label><Label Padding="5,0,0,0">°C</Label></StackPanel></Grid>
            <Ellipse Style="{StaticResource DotStyle}"></Ellipse>
        </Canvas>

        <Canvas.RenderTransform>
            <ScaleTransform ScaleX="{Binding ScaleX}" ScaleY="{Binding ScaleY}"></ScaleTransform>
        </Canvas.RenderTransform>
    </Canvas>
</UserControl>
